Subject: Re: bug#19865: tar-untar-buffer: should honor default-directory

From: Ivan Shmakov <[email-masked]>
Date: Sat, 14 Feb 2015 19:42:42 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Sat, 14 Feb 2015 19:12:04 +0000

 >>>> And I’d still like to hear why you think that tar-untar-buffer
 >>>> /must/ use the value of default-directory local to a buffer
 >>>> /other/ than the one the user called this command from.

 >>> Because it's simpler, and makes the code easier to follow.

 >> My former patch expands the code by a single line; my latter one
 >> adds two more for a comment (while removing one level of nesting
 >> from a fair chunk of the code at the same time.)  How is that making
 >> it any harder to follow?

 > Length of code is only one factor, insignificant in this case.
 > Subtle dependencies between different parts of the code, as well as
 > overriding the default-directory value, is what complicates things in
 > this case.

	My second patch [1] doesn’t change the value of
	default-directory (instead, it uses expand-file-name explicitly
	at the write-region time.)  As for the subtle dependencies,
	could you point at anything specific?  TIA.

[1] http://debbugs.gnu.org/19865#msg44

[…]

-- 
FSF associate member #7257  np. Povus esti simple — Persone  … B6A0 230E 334A